Hi Michael:

 have done this on suse72 and after a while I did get it running. The
problem was that I did forget to move the 3 directories to their spot as
described in the docu. You have also to change some lines in another file
which I do not know if this is available on X (cant remember the name
though, but I guess you know which file I mean)

Good luck,

Andy

--
----------------------------------
http://www.globosapiens.net
Global Travellers Network!

http://www.ozforum.info
Discussing Australia Forum



"Michael Geary" <[EMAIL PROTECTED]> schrieb im Newsbeitrag
[EMAIL PROTECTED]">news:[EMAIL PROTECTED]...
> Hi folks,
>
> I am desperately trying to get PHP (4.2.2) --with-imap running on OS X,
> so I can run the IMP web-mail client. I already have IMAP installed, and
> have downloaded and compiled the U-W c-client. I have also followed the
> directions on the PHP.NET website under IMAP.
>
> Here is my PHP configure line:
>
> ./configure --prefix=/mg --with-apxs=/mg/sbin/apxs \
> --with-config-file-path=/mg/etc --with-gettext=/sw \
> --with-xml --enable-ftp --with-imap=/usr/local/src/imap-2002.RC2 \
> --with-imap-ssl
>
> I can configure PHP just fine, that is, I don't get any errors. However,
> when I run "make", I get a message:
>
> *** Warning: This library needs some functionality provided by
> -lc-client.
> *** I have the capability to make that library automatically link in when
> *** you link to this library.  But I can only do this if you have a
> *** shared version of the library, which you do not appear to have.
> *** The inter-library dependencies that have been dropped here will be
> *** automatically added whenever a program is linked with this library
> *** or is declared to -dlopen it.
>
> I do still get a libphp4.dylib file, but when I rename this to
> libphp4.so and place it in the appropriate apache directory, i get the
> following error from apache:
>
> Syntax error on line 239 of /mg/etc/httpd.conf:
> Cannot load /mg/libexec/httpd/libphp4.so into server: (reason unknown)
>
> on line 239 of httpd.conf I have:
>
> LoadModule php4_module          libexec/httpd/libphp4.so
>
> Can anyone make any sense of this? I would really appreciate some help.
>
> regards,
>
> michael geary
>



-- 
PHP General Mailing List (http://www.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php

Reply via email to